Skip to main content
GET
/
pension-schema
/
{id}
cURL
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v2/pension/pension-schema/{id}
{
  "content": {
    "data": {
      "id": "<string>",
      "organisationId": "<string>",
      "pensionProviderId": "<string>",
      "name": "<string>",
      "createdBy": "<string>",
      "createdDate": "<string>",
      "updatedBy": "<string>",
      "updatedDate": "<string>",
      "groups": [
        {
          "id": "<string>",
          "organisationId": "<string>",
          "pensionSchemaId": "<string>",
          "name": "<string>",
          "isDefault": true,
          "basis": "<string>",
          "employeeFactor": 123,
          "employerFactor": 123,
          "nationalInsuranceSavingsFactor": 123,
          "createdBy": "<string>",
          "createdDate": "2023-11-07T05:31:56Z",
          "updatedBy": "<string>",
          "updatedDate": "2023-11-07T05:31:56Z",
          "isSalarySacrifice": true
        }
      ],
      "paymentSource": "<string>",
      "lastReEnrolmentDate": "2023-12-25",
      "dutyStartDate": "2023-12-25",
      "externalReferenceId": "<string>",
      "pensionProvider": {
        "id": "<string>",
        "name": "<string>",
        "slug": "<string>",
        "record_start": "2023-11-07T05:31:56Z",
        "record_end": "2023-11-07T05:31:56Z",
        "paymentSourceRequired": true
      }
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

Response

200 - application/json

OK

content
object
metadata
object
errors
object[] | null
message
object